<?xml version="1.0" encoding="UTF-8" ?>
<odoo>
    <template
        id="report_deliveryslip_title"
        inherit_id="stock.report_delivery_document"
    >
        <xpath expr="//t[@t-call='web.html_container']" position="before">
            <t t-if="not o.company_id.hide_delivery_slip_title">
                <t
                    t-set="report_title"
                    t-value="o.with_context(lang=o._get_report_lang()).company_id.delivery_slip_title or 'Delivery Slip'"
                />
            </t>
        </xpath>

        <!-- expr="//h2" doesn't work for some reason -->
        <xpath expr="//h2//span" position="attributes">
            <attribute
                name="t-att-class"
            >'{}'.format('d-none' if o.company_id.hide_delivery_slip_report_name else '')</attribute>
        </xpath>
    </template>

    <template id="report_picking_title" inherit_id="stock.report_picking">
        <xpath expr="//t[@t-call='web.external_layout']" position="before">
            <t t-if="o.company_id.hide_picking_title">
                <t t-set="report_title" t-value="''" />
            </t>
        </xpath>

        <xpath expr="//h1" position="attributes">
            <attribute name="t-if">not o.company_id.hide_picking_report_name</attribute>
        </xpath>
    </template>
</odoo>
